net.i2p.router.transport

## Class GetBidsJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.transport.GetBidsJob

- All Implemented Interfaces:
    Job

      class GetBidsJob
      extends JobImpl

  Retrieves transport bids for outbound message delivery. Retrieve a set of bids for a particular outbound message, and if any are found that meet the message's requirements, register the message as in process and pass it on to the transport for processing

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `fail(RouterContext context, OutNetMessage msg)`
    `(package private) static void` | `getBids(RouterContext context, TransportManager tmgr, OutNetMessage msg)`
    `String` | `getName()` Descriptive name of the task
    `void` | `runJob()` Actually perform the task.

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### fail

          static void fail(RouterContext context,
                           OutNetMessage msg)

    - #### getBids

          static void getBids(RouterContext context,
                              TransportManager tmgr,
                              OutNetMessage msg)

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task
      Returns:
        the descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.